Package org.springframework.web.servlet.config

# Class FreeMarkerConfigurerBeanDefinitionParser

java.lang.Object
org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser
org.springframework.web.servlet.config.FreeMarkerConfigurerBeanDefinitionParser

All Implemented Interfaces:
  `org.springframework.beans.factory.xml.BeanDefinitionParser`

public class FreeMarkerConfigurerBeanDefinitionParser extends org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser
Parse the `<mvc:freemarker-configurer>` MVC namespace element and register `FreeMarkerConfigurer` bean.

Since:
  4.1
Author:
  Rossen Stoyanchev

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`BEAN_NAME`
The bean name used for the `FreeMarkerConfigurer`.

### Fields inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser

`ID_ATTRIBUTE, NAME_ATTRIBUTE`

## Constructor Summary

Constructors
Constructor
Description
`FreeMarkerConfigurerBeanDefinitionParser()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`doParse(Element element, org.springframework.beans.factory.xml.ParserContext parserContext, org.springframework.beans.factory.support.BeanDefinitionBuilder builder)`
`protected String`
`getBeanClassName(Element element)`
`protected String`
`resolveId(Element element, org.springframework.beans.factory.support.AbstractBeanDefinition definition, org.springframework.beans.factory.xml.ParserContext parserContext)`

### Methods inherited from class org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser

`doParse, getBeanClass, getParentName, parseInternal`

### Methods inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser

`parse, postProcessComponentDefinition, registerBeanDefinition, shouldFireEvents, shouldGenerateId, shouldGenerateIdAsFallback, shouldParseNameAsAliases`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### BEAN_NAME

public static final String BEAN_NAME
The bean name used for the `FreeMarkerConfigurer`.

See Also:
  - Constant Field Values

## Constructor Details

### FreeMarkerConfigurerBeanDefinitionParser

public FreeMarkerConfigurerBeanDefinitionParser()

## Method Details

### getBeanClassName

protected String getBeanClassName(Element element)

Overrides:
  `getBeanClassName` in class `org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser`

### resolveId

protected String resolveId(Element element, org.springframework.beans.factory.support.AbstractBeanDefinition definition, org.springframework.beans.factory.xml.ParserContext parserContext)

Overrides:
  `resolveId` in class `org.springframework.beans.factory.xml.AbstractBeanDefinitionParser`

### doParse

protected void doParse(Element element, org.springframework.beans.factory.xml.ParserContext parserContext, org.springframework.beans.factory.support.BeanDefinitionBuilder builder)

Overrides:
  `doParse` in class `org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser`